VIEWIMG_GET_CANVAS_ATTRIBUTES(3)

FUNCTION
viewimg_get_canvas_attributes - Get the viewable image attributes for a world canvas.

SYNOPSIS
#include <karma_viewimg.h>

void viewimg_get_canvas_attributes

(KWorldCanvas canvas, ...)

DESCRIPTION
Get the viewable image attributes for a world canvas.

canvas
    The world canvas object.

... The list of parameter attribute-key attribute-value-ptr pairs must follow. This list must be terminated with the VIEWIMG_ATT_END. See <-viewimg_CANVAS_ATTRIBUTES-> for the list of attributes.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/